import { Crypt } from '@util';
class OracleConfig {
    getConnectionParams(data) {
        const { dbName, useWallet, user = '/', password = '', host = '', port = '', encryptedPassword = false, } = data;
        const decryptedPassword = encryptedPassword ? Crypt.decrypt(password, 'teknisa') : password;
        const connectString = useWallet ? dbName : `${host}:${port}/${dbName}`;
        if (useWallet) {
            return { externalAuth: true, connectString };
        }
        return { user, password: decryptedPassword, connectString };
    }
}
const instance = new OracleConfig();
export { instance as OracleConfig };
export default instance;
