import { Auth } from '@service';
export class SocketMiddleware {
    static hasCredentials(socket) {
        const { handshake: { auth = null } } = socket;
        return auth && auth.username && auth.password;
    }
    static register(io) {
        io.use(async (socket, next) => {
            const { token = '' } = socket.handshake?.auth || {};
            const { authorized, reason } = await Auth.isValidBearerAuth(`Bearer ${token}`);
            if (authorized) {
                next();
            }
            else {
                next(new Error(reason));
            }
        });
    }
}
