import { Request } from '@util';
import { Customer } from '@service';
class CustomerRoutes {
    register(app) {
        app.get('/customer', async (req, res) => {
            try {
                const customers = await Customer.list();
                res.status(200).send(customers);
            }
            catch (error) {
                Request.handleResponseError(res, error);
            }
        });
        app.post('/customer', async (req, res) => {
            try {
                const newCustomer = await Customer.create(Request.getAllParams(req));
                res.status(200).send(newCustomer);
            }
            catch (error) {
                Request.handleResponseError(res, error);
            }
        });
    }
}
const instance = new CustomerRoutes();
export { instance as CustomerRoutes };
export default instance;
