import { ProductSetting } from '@service';
import { Request } from '@util';
class ProductSettingRoutes {
    register(app) {
        app.post('/product-setting/:devopsId?', async (req, res) => {
            try {
                const response = await ProductSetting.create(Request.getAllParams(req));
                res.status(201).send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.get('/product-setting/:devopsId', async (req, res) => {
            try {
                const response = await ProductSetting.find(req.params.devopsId);
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.put('/product-setting/:devopsId?', async (req, res) => {
            try {
                const response = await ProductSetting.modify(Request.getAllParams(req));
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.delete('/product-setting/:devopsId?', async (req, res) => {
            try {
                const response = await ProductSetting.remove(Request.getAllParams(req));
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
    }
}
const instance = new ProductSettingRoutes();
export { instance as ProductSettingRoutes };
export default instance;
