import { Server } from '@service';
import { Request } from '@util';
class ServerRoutes {
    register(app) {
        app.post('/server/:name?', async (req, res) => {
            try {
                const response = await Server.create(Request.getAllParams(req));
                res.status(201).send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.get('/server', async (req, res) => {
            try {
                const response = await Server.list();
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.put('/server/:name?', async (req, res) => {
            try {
                const response = await Server.modify(Request.getAllParams(req));
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.delete('/server/:name?', async (req, res) => {
            try {
                const response = await Server.remove(Request.getAllParams(req));
                res.send(response);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
    }
}
const instance = new ServerRoutes();
export { instance as ServerRoutes };
export default instance;
