import http from 'http';
import express from 'express';
import { RouterManagement } from '@routes';
import { Security, SocketService } from '@service';
import { Middleware, SocketMiddleware } from '@middleware';
import './util/Environment.js';
import StartupTasks from './service/StartupTasks.js';
Security.loadAuthorizedUsers();
const app = express();
const { SERVER_PORT } = process.env;
Middleware.register(app);
const server = http.createServer(app);
RouterManagement.register(app);
const io = SocketService.register(server);
SocketMiddleware.register(io);
StartupTasks.execute().catch((err) => {
    console.error('Occurred errors in startup tasks', err.message);
}).finally(() => {
    server.listen(SERVER_PORT, () => {
        console.log('Listening on ', SERVER_PORT);
    });
});
