import { JWT } from '@util';
class Access {
    generateToken({ withRefreshToken = true } = {}) {
        const response = {
            token: JWT.generate({}, { header: { alg: 'HS256', typ: 'at+jwt' } }),
            refreshToken: '',
        };
        if (withRefreshToken) {
            response.refreshToken = JWT.generate({}, { expiresIn: '30d', header: { alg: 'HS256', typ: 'rt+jwt' } });
        }
        return response;
    }
    refreshToken(refreshToken) {
        const data = JWT.validate(refreshToken);
        if (data) {
            const { token } = this.generateToken({ withRefreshToken: false });
            return token;
        }
        return null;
    }
    validateToken(token) {
        return JWT.validate(token);
    }
}
const instance = new Access();
export { instance as Access };
export default instance;
