import { PrismaClient } from '@db';
class Customer {
    async create(params) {
        const { name, assistantUrl } = params;
        const data = {
            name,
            assistantUrl,
        };
        return PrismaClient.customer.create({ data });
    }
    async list() {
        return PrismaClient.customer.findMany();
    }
    async remove({ id, customersToRemove }) {
        const customersId = Array.isArray(customersToRemove)
            ? customersToRemove
            : [];
        const where = { id: { in: customersId } };
        if (id) {
            const response = await PrismaClient.customer.delete({ where: { id } });
            return response;
        }
        if (Array.isArray(customersToRemove)) {
            const response = PrismaClient.customer.deleteMany({ where });
            return response;
        }
    }
    async modify(params) {
        return params;
    }
}
const instance = new Customer();
export { instance as Customer };
export default instance;
