import { UpdaterVersion } from '@service';
class Updater {
    getProductDetail(version) {
        const defaultDescription = 'Retail Assistant Updater - Servico de Atualizacao de Produtos Proprietarios - v__VERSION__';
        const preffix = 'TEK';
        const id = process.env.ASSISTANT_UPDATER_ID || '7115';
        const name = process.env.ASSISTANT_UPDATER_NAME || 'Retail Assistant Updater';
        const description = process.env.ASSISTANT_UPDATER_DESCRIPTION || defaultDescription;
        const serviceName = `${preffix}_${id}_${version}_${name}`.replace(/\s/i, '_');
        return {
            id,
            name,
            version,
            description: description.replace('__VERSION__', version),
            serviceName: serviceName.toUpperCase().replace(/\s/i, '_'),
        };
    }
    async getProductInfo() {
        const versionInfo = await UpdaterVersion.getApprovedVersion();
        const productDetail = this.getProductDetail(versionInfo.version);
        return productDetail;
    }
}
const instance = new Updater();
export { instance as Updater };
