class Dependency {
    getPath(parent, unresolved) {
        let parentVisited = false;
        return Object.keys(unresolved).filter((module) => {
            if (module === parent) {
                parentVisited = true;
            }
            return parentVisited && unresolved[module];
        });
    }
    resolver(id, modules, circular, resolved, unresolved) {
        unresolved[id] = true;
        if (modules[id]) {
            modules[id].forEach((dependency) => {
                if (!resolved[dependency]) {
                    if (unresolved[dependency]) {
                        circular.push(this.getPath(dependency, unresolved));
                        return;
                    }
                    this.resolver(dependency, modules, circular, resolved, unresolved);
                }
            });
        }
        resolved[id] = true;
        unresolved[id] = false;
    }
    findCircularDependencies(modules) {
        const circular = [];
        const resolved = {};
        const unresolved = {};
        Object.keys(modules).forEach((id) => {
            this.resolver(id, modules, circular, resolved, unresolved);
        });
        return circular;
    }
}
const instance = new Dependency();
export { instance as Dependency };
