var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var _a, _Environment_envContent;
import { readFile } from 'node:fs/promises';
import path from 'node:path';
import dotenv from 'dotenv';
import { File } from '@util';
const backendPath = path.dirname(path.join(process.argv[1], '..'));
const envPath = path.join(backendPath, '.env');
dotenv.config({ path: envPath, override: true });
class Environment {
    get envContent() {
        return __classPrivateFieldGet(_a, _a, "f", _Environment_envContent);
    }
    getEnv() {
        return dotenv.parse(__classPrivateFieldGet(_a, _a, "f", _Environment_envContent));
    }
    async read() {
        const envContent = await new File('.env', backendPath).read();
        const parsedEnv = dotenv.parse(envContent);
        delete parsedEnv.SECRET_KEY;
        return parsedEnv;
    }
    async write(content) {
        const { SECRET_KEY } = this.getEnv();
        const contentToWrite = `${content}\n\nSECRET_KEY=${SECRET_KEY}`;
        if (SECRET_KEY) {
            await new File('.env', backendPath).write(contentToWrite);
        }
    }
    async load({ force = false } = {}) {
        if (force || !__classPrivateFieldGet(_a, _a, "f", _Environment_envContent)) {
            __classPrivateFieldSet(_a, _a, (await readFile(envPath)).toString(), "f", _Environment_envContent);
            const envParsed = dotenv.parse(__classPrivateFieldGet(_a, _a, "f", _Environment_envContent));
            Object.keys(envParsed).forEach((key) => {
                process.env[key] = envParsed[key];
            });
        }
        return this.getEnv();
    }
}
_a = Environment;
_Environment_envContent = { value: '' };
const instance = new Environment();
export { instance as Environment, };
