import pako from 'pako';
import { Base64 } from '@util';
class Gzip {
    encode(text) {
        if (typeof text !== 'string') {
            return null;
        }
        const uint8Array = pako.deflate(text);
        const uint8String = this.uint8ToString(uint8Array);
        const encodedString = Base64.encode(uint8String, 'binary');
        return encodedString;
    }
    decode(text) {
        const uint8String = Base64.decode(text.trim(), false, 'binary') || '';
        const uint8Array = new Uint8Array(uint8String.split('').map((chr) => chr.charCodeAt(0)));
        const decodedString = pako.inflate(uint8Array, { to: 'string' });
        return decodedString;
    }
    uint8ToString(uint8Value) {
        const bufferSize = 0x8000;
        const charCode = [];
        for (let i = 0; i < uint8Value.length; i += bufferSize) {
            charCode.push(String.fromCharCode.apply(null, Array.from(uint8Value.subarray(i, i + bufferSize))));
        }
        return charCode.join('');
    }
}
const instance = new Gzip();
export { instance as Gzip };
export default instance;
